Name:           postgis
%define libnamedev %mklibname %{name} -d

Version:        2.3.2
Release:        %mkrel 1
Summary:        Geographic objects to the PostgreSQL object-relational database
License:        GPLv2+
Group:          Sciences/Geosciences
Url:            http://postgis.org
Source0:        http://download.osgeo.org/postgis/source/%{name}-%{version}.tar.xz
Patch0:		postgis-2.1.0-linkage.patch

BuildRequires: cunit-devel
BuildRequires: postgresql9.3-devel
BuildRequires: proj
BuildRequires: proj-devel
BuildRequires: geos-devel
BuildRequires: flex
BuildRequires: byacc
BuildRequires: libxslt-proc
BuildRequires: bison
BuildRequires: libxml2-devel
BuildRequires: gdal-devel
BuildRequires: %{_lib}json-devel

Requires:       postgresql9.3-plpgsql
Requires:       postgresql-libs >= 9.3
Requires:       proj

%description
Geographic objects to the PostgreSQL object-relational database

%package -n %{libnamedev}
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Obsoletes:	%{name}-devel < %{version}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{libnamedev}
Development files for %{name}.


%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--datadir=%_datadir/postgis
%make

%install
rm -rf %buildroot
%makeinstall_std
cp utils/postgis*.pl %buildroot/%_bindir
find %{buildroot} -name "*.la" -delete
find %{buildroot} -name "*.a" -delete

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc COPYING README.postgis
%{_bindir}/*
%{_datadir}/*
%{_libdir}/liblwgeom-2.3.so.*
%{_libdir}/postgresql/*.so

%files -n %{libnamedev}
%{_libdir}/liblwgeom.so
%{_includedir}/liblwgeom.h
%{_includedir}/liblwgeom_topo.h


%changelog
* Mon Jun 05 2017 adrianomorselli <adrianomorselli> 2.3.2-1uplos2017
- update
